SEPA Debit
Create a SEPA mandate
POST
/
customers
/
{customer_id}
/
sepa-mandates
Create a SEPA mandate
curl --request POST \
--url https://commerce1.on-hellgate.dev/customers/{customer_id}/sepa-mandates \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"bic": "<string>",
"country_code": "<string>",
"document": "<string>",
"iban": "<string>",
"mandate_name": "<string>",
"reference": "<string>",
"sequence_type": "<string>",
"signed_on": "2023-12-25",
"address": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
'import requests
url = "https://commerce1.on-hellgate.dev/customers/{customer_id}/sepa-mandates"
payload = {
"bic": "<string>",
"country_code": "<string>",
"document": "<string>",
"iban": "<string>",
"mandate_name": "<string>",
"reference": "<string>",
"sequence_type": "<string>",
"signed_on": "2023-12-25",
"address": "<string>",
"city": "<string>",
"postal_code": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bic: '<string>',
country_code: '<string>',
document: '<string>',
iban: '<string>',
mandate_name: '<string>',
reference: '<string>',
sequence_type: '<string>',
signed_on: '2023-12-25',
address: '<string>',
city: '<string>',
postal_code: '<string>'
})
};
fetch('https://commerce1.on-hellgate.dev/customers/{customer_id}/sepa-mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"bic": "<string>",
"city": "<string>",
"country_code": "<string>",
"iban": "<string>",
"mandate_name": "<string>",
"method": "<string>",
"postal_code": "<string>",
"reference": "<string>",
"sequence_type": "<string>",
"signed_on": "<string>",
"status": "<string>",
"token": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Path Parameters
Customer ID
Body
application/json
Body
⌘I
Create a SEPA mandate
